> For the complete documentation index, see [llms.txt](https://docs.verified.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verified.network/reference/verified-sdk/issuing-cash-tokens/issuing-and-exchange-functions.md).

# Issuing and Exchange functions

Both functions are to be called on the Cash contract.&#x20;

### **Request issue of Verified cash token for fiat paid in**

`payIn(_tokens, _payer, _currency)`

| Function parameter | Description                             |
| ------------------ | --------------------------------------- |
| \_tokens           | number of cash tokens to issue          |
| \_payer            | address of user paying in fiat currency |
| \_currency         | name of fiat currency paid in           |

### **Request exchange of Verified cash tokens**&#x20;

`transferFrom(_fromCurrency, _toCurrency, _amount)`

<table data-header-hidden><thead><tr><th width="323.81975071907954">Function parameter</th><th>Description</th></tr></thead><tbody><tr><td>Function parameter</td><td>Description</td></tr><tr><td>_fromCurrency</td><td>address of Verified cash token to debit and convert from</td></tr><tr><td>_toCurrency</td><td>address of Verified cash token to exchange to and credit</td></tr><tr><td>_amount</td><td>name of the cash tokens to debit and convert</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verified.network/reference/verified-sdk/issuing-cash-tokens/issuing-and-exchange-functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
